"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAddPostTypeCommands = useAddPostTypeCommands;

var _commands = require("@wordpress/commands");

var _i18n = require("@wordpress/i18n");

var _icons = require("@wordpress/icons");

var _lockUnlock = require("./lock-unlock");

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */
const {
  useCommand
} = (0, _lockUnlock.unlock)(_commands.privateApis);

function useAddPostTypeCommands() {
  useCommand({
    name: 'add new post',
    label: (0, _i18n.__)('Add new post'),
    icon: _icons.plus,
    callback: () => {
      document.location.href = 'post-new.php';
    }
  });
  useCommand({
    name: 'add new page',
    label: (0, _i18n.__)('Add new page'),
    icon: _icons.plus,
    callback: () => {
      document.location.href = 'post-new.php?post_type=page';
    }
  });
}
//# sourceMappingURL=add-post-type-commands.js.map